Netflix Desktop plays audio but does not display video on certain systems, even with compositing enabled.

Reported by Dylan Morrison on 2013-01-24
70
This bug affects 13 people
Affects Status Importance Assigned to Milestone
Netflix Desktop
High
Erich E. Hoover

Bug Description

This bug evolved from bug 1083862. https://bugs.launchpad.net/netflix-desktop/+bug/1083862

On certain systems, Netflix Desktop plays audio but does not display video. On some of them, this is fixed by enabling compositing, on others, enabling compositing doesn't seem to help.

More specifically, on this bug reporter's specific system, running Netflix Desktop in a window and then moving the window around seems to temporarily solve the issue, though this introduces noticable lag which seems to correct itself after a certain amount of time.

In a possibly related bug, after having this issue, resolving it temporarily with the above, and then using it for some time, Netflix Desktop has a tendency to suddenly lock up and become unresponsive to input, necessitating being killed either by Ctrl+C in the terminal it was started from or, if it wasn't started in a terminal, finding the process and killing it.

Audio never seems to be affected.

Debug log will be attached in a reply later as I (the bug reporter) do not currently have access to the system affected, someone is watching Hulu on it :P

System:
Dell Inspiron 530
Intel Celeron 450 (2.2GHz Conroe-L)
2GB RAM
Intel GMA 3100 Integrated Graphics
Linux Mint 14, fresh install

Changed in netflix-desktop:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Erich Hoover (ehoover)
Erich E. Hoover (ehoover) wrote :

Hi Dylan, this may not help - but could you try enabling S3TC on your graphics card?:
http://askubuntu.com/questions/56379/is-there-an-easy-way-to-enable-s3tc-on-intel-graphics

jay revefel (jal301) wrote :

Erich,

Thank you for your excellent work and support on this project. I also have a newer machine and the good audio / blank screen issue. I have attempted to confirm the compositing setting but I do not see it (and perhaps may not be recognizing it). Regardless, copied below are my xorg.conf settings and my apologies if this is the not proper place for this message.

xorg:
Section "ServerLayout"
 Identifier "amdcccle Layout"
 Screen 0 "amdcccle-Screen[1]-0" 1440 0
 Screen "amdcccle-Screen[1]-1" 0 0
EndSection

Section "Module"
 Load "glx"
EndSection

Section "ServerFlags"
 Option "Xinerama" "on"
EndSection

Section "Monitor"
 Identifier "0-CRT1"
 Option "VendorName" "ATI Proprietary Driver"
 Option "ModelName" "Generic Autodetecting Monitor"
 Option "DPMS" "true"
 Option "PreferredMode" "1440x900"
 Option "TargetRefresh" "60"
 Option "Position" "0 0"
 Option "Rotate" "normal"
 Option "Disable" "false"
EndSection

Section "Monitor"
 Identifier "0-DFP1"
 Option "VendorName" "ATI Proprietary Driver"
 Option "ModelName" "Generic Autodetecting Monitor"
 Option "DPMS" "true"
 Option "PreferredMode" "1440x900"
 Option "TargetRefresh" "60"
 Option "Position" "0 0"
 Option "Rotate" "normal"
 Option "Disable" "false"
EndSection

Section "Device"
 Identifier "amdcccle-Device[1]-0"
 Driver "fglrx"
 Option "Monitor-DFP1" "0-DFP1"
 BusID "PCI:1:5:0"
EndSection

Section "Device"
 Identifier "amdcccle-Device[1]-1"
 Driver "fglrx"
 Option "Monitor-CRT1" "0-CRT1"
 BusID "PCI:1:5:0"
 Screen 1
EndSection

Section "Screen"
 Identifier "Default Screen"
 DefaultDepth 24
EndSection

Section "Screen"
 Identifier "amdcccle-Screen[1]-0"
 Device "amdcccle-Device[1]-0"
 DefaultDepth 24
 SubSection "Display"
  Viewport 0 0
  Depth 24
 EndSubSection
EndSection

Section "Screen"
 Identifier "amdcccle-Screen[1]-1"
 Device "amdcccle-Device[1]-1"
 DefaultDepth 24
 SubSection "Display"
  Viewport 0 0
  Depth 24
 EndSubSection
EndSection

jay revefel (jal301) wrote :

When running from terminal, I see the following notice, in case this is of any help:

fixme:mountmgr:harddisk_ioctl returning zero-filled buffer for IOCTL_VOLUME_GET_VOLUME_DISK_EXTENTS

aarstar (aarstar) wrote :

I'm also afflicted by this bug on Arch Linux (x86_64) using a Geforce GT 430. A temporary fix mentioned on their forums that works for me is to replace lib32-nvidia-utils with lib32-libgl.

Dylan Morrison (insidious) wrote :

Seemingly no difference with the libraries described in the thread Erich linked loaded and "force_s3tc_enable=true" added, log attached.

jay revefel (jal301) wrote :

Erich,

In case in may be of any additional help to you, I recently performed a clean install of 12.04 and began experiencing this problem. Prior to this, I had an updated 12.04 which was originally 10.04, I believe. This previous install allowed me to play video but it was buggy (pause would cause the system to lock, playback was intermittently paused for a split-second altho buffering was not an issue.
              ......just hoping we may have a breakthrough at some point. Thanks again for your efforts. If we can provide any additional information, please let us know. I'm not quite sure how to run a bug report and develop logs as others have produced above but I am certainly willing to do so with some instruction.

Dylan Morrison (insidious) wrote :

As an attempt at adding some more useful data to this bug, I put my videocard (a GeForce GTX 460) temporarily into my parents machine, installed the nvidia-current drivers, and tried netflix-desktop again. No issues. So its still definitely a graphics card/driver related issue.

Dylan Morrison (insidious) wrote :

Will probably end up purchasing a cheap GeForce 6200 or 7600 or something for my parents for the time being so that they can still watch their netflix, but am still eagerly watching this bug, this could be the final real barrier to getting netflix working as well on Linux as it works on Windows.

end user (arek-g) wrote :

I think I think my issue might be related.

I have two systems with the following specs

Linux Mint 14/Mate now running Linux Mint 14/KDE
MSI FM2-A75MA-E35 mATX FM2
AMD A8-5600K APU Quad Core Processor Socket FM2 3.2GHZ 4MB 100W
AMD Entertainment Edition 8GB 2X4GB PC3-12800U DDR3 1600MHz
AMD Catalyst 12.10/13.1

Linux Mint 14/KDE
MSI FM2-A75MA-E35 mATX FM2
AMD A10-5800K APU Quad Core Processor Socket FM2 3.8GHZ 4MB 100W
G.SKILL F3-14900CL9D-8GBSR Sniper SE 8GB 2X4GB DDR3-1866
AMD Catalyst 12.10/13.1

So the A8 system was running fine (Some video choppiness) till about a week ago ( Mint mate - No other changes or OS updates ) the audio started to would cut out every few minutes. I upgraded the netflix-desktop and still have the same issue. Well I decided to upgrade the AMD driver to 13.1 and got the black screen after launching a movie. Had to use task manager to kill the process.

I updated the system to MInt 14 KDE and had the same issues with black screen using AMD 13.1. Reverted it to AMD 12.10 the black screen went away but the audio cut out is still there even with the last update to netflix-desktop.

On my A10 system Mint 14 KDE with AMD 13.1 and with the latest update to netflix-desktop I have some video choppiness but the Audio is fine and it works fine with both AMD 12.10/13.1 and the AMD Open Source drivers.

Cory Gugler (cory-gugler) wrote :

Same issue. White screen with audio when attempting to view anything. Recent development as it had been working fine.

Erich E. Hoover (ehoover) wrote :

Cory, did you update your wine-compholio? It might be that a bug in Wine that only affects your graphics driver was introduced.

Cory Gugler (cory-gugler) wrote :

Got it, Thanks. That appears to be the issue. I didn't think I had since the last time I used it, but according to netflix history the last time I viewed anything was 02/10 and it looks like I updated from wine-compholio 1.5.22~precise to 1.5.23-precise on 02/11. I tried upgrading to 1.5.24 today but that had the same issue.

I just removed 1.5.24 and reinstalled the 1.5.22 package and it's working again.

Erich E. Hoover (ehoover) wrote :

That's very interesting Cory... Are you familiar with compiling software and doing regression testing? It would be really nice to track down which commit to Wine broke your system.

Cory Gugler (cory-gugler) wrote :

Compiling, yes. I have not done any regression testing before. I've looked over regression testing method on the Wine wiki and it looks manageable. I'll see if I can manage to track down where the issue began. If there is something I should know, or any tips, etc, feel free to shoot me a message/email.

Erich E. Hoover (ehoover) wrote :

There are two things you should know:
1) You'll need to apply all the patches every time you move between commits ( patches: http://www.compholio.com/wine-compholio/#patches )
2) If you want to just run "netflix-desktop" like normal you'll need to configure the compile to install to the correct place:
./configure --prefix=/opt/wine-compholio

That should really be everything you need to do, I would recommend downloading the combined patch ( wine-compholio_1.5.24.patch.gz ) and then, after extracting, using the following sequence at each commit step:
patch -p1 < wine-compholio_1.5.24.patch; make && make install; netflix-desktop; patch -p1 -R < wine-compholio_1.5.24.patch

Please let me know if you have any questions. I'm sorry this is a little complicated, if I could test it for you then I would.

Cory Gugler (cory-gugler) wrote :

It's no problem at all. Ran into a few issues but managed to figure it out. Here are the results from the bisect:

3f21757702239f1c254cdc860d71e76e9929d409 is the first bad commit
commit 3f21757702239f1c254cdc860d71e76e9929d409
Author: Henri Verbeet <email address hidden>
Date: Wed Jan 23 08:50:11 2013 +0100

    wined3d: Get rid of select_shader_mode().

:040000 040000 e12e2ed24ff1a642d311ed44feaaf0f6ef21dc5a 2716f95b30496c5a9cabff6084dbd8230a064488 M dlls

jay revefel (jal301) wrote :

Erich, Cory,

Are there any of these steps you'd suggest we try? If we are to update wine, how exactly do we do that? Or a patch?

Erich E. Hoover (ehoover) wrote :

Hi Cory, somehow I missed your message about this issue - not sure how, as I try to read all the bug report updates as soon as they come in. Is this still a problem with more updated Wine versions? (I keep updating wine-compholio as new Wine versions are released) If so then we should proceed with opening an upstream bug with the information from your bisect. It would probably be best if I open the bug so that I can make it clear that the issue is unrelated to the patches included in our special version of Wine.

jay, I apologize for overlooking your message as well. Are you seeing a white screen or a black screen?

Cory Gugler (cory-gugler) wrote :

Just updated to wine-compholio 1.5.27 and it is working fine now.

Geoff Goas (gitman) wrote :

I'm using wine 1.5.27 with the netflix patches on 2 machines, a Dell laptop with Intel GPU and a Dell desktop with Nvidia NV37GL GPU using the proprietary nvidia-173xx driver (which is no longer maintained afaik)

On the laptop with Intel GPU, netflix-desktop works fine (after reverting the advapi32 GetNamedSecurityInfoW implementation). On the desktop with Nvidia GPU, with all the same patches, I get a white screen and I can only hear the audio.

I saw a separate suggestion about desktop effects, but I do not have those enabled.

Thanks

Geoff Goas (gitman) wrote :

I wonder if anyone else is seeing this?

fixme:d3d:resource_check_usage Unhandled usage flags 0x8.
fixme:d3d_shader:print_glsl_info_log Info log received from GLSL shader #1:
fixme:d3d_shader:print_glsl_info_log (5) : error C7531: global type sampler2DRect requires "#extension GL_ARB_texture_rectangle : enable" before use
fixme:d3d_shader:shader_glsl_validate_link Program 2 link status invalid.
fixme:d3d_shader:shader_glsl_dump_program_source Object 1:
fixme:d3d_shader:shader_glsl_dump_program_source GL_OBJECT_SUBTYPE_ARB: GL_FRAGMENT_SHADER_ARB.
fixme:d3d_shader:shader_glsl_dump_program_source GL_OBJECT_COMPILE_STATUS_ARB: 0.
fixme:d3d_shader:shader_glsl_dump_program_source
fixme:d3d_shader:shader_glsl_dump_program_source #version 120
fixme:d3d_shader:shader_glsl_dump_program_source vec4 tmp0, tmp1;
fixme:d3d_shader:shader_glsl_dump_program_source vec4 ret;
fixme:d3d_shader:shader_glsl_dump_program_source vec4 arg0, arg1, arg2;
fixme:d3d_shader:shader_glsl_dump_program_source uniform sampler2DRect ps_sampler0;
fixme:d3d_shader:shader_glsl_dump_program_source vec4 tex0;
fixme:d3d_shader:shader_glsl_dump_program_source uniform vec4 specular_enable;
fixme:d3d_shader:shader_glsl_dump_program_source void main()
fixme:d3d_shader:shader_glsl_dump_program_source {
fixme:d3d_shader:shader_glsl_dump_program_source tex0 = clamp(texture2DRect(ps_sampler0, gl_TexCoord[0].xy), 0.0, 1.0);
fixme:d3d_shader:shader_glsl_dump_program_source ret = tex0 * gl_Color;
fixme:d3d_shader:shader_glsl_dump_program_source gl_FragData[0] = gl_SecondaryColor * specular_enable + ret;
fixme:d3d_shader:shader_glsl_dump_program_source }
fixme:d3d_shader:shader_glsl_dump_program_source
fixme:d3d_shader:print_glsl_info_log Info log received from GLSL shader #2:
fixme:d3d_shader:print_glsl_info_log Fragment info
fixme:d3d_shader:print_glsl_info_log -------------
fixme:d3d_shader:print_glsl_info_log (5) : error C7531: global type sampler2DRect requires "#extension GL_ARB_texture_rectangle : enable" before use
err:d3d_shader:set_glsl_shader_program >>>>>>>>>>>>>>>>> GL_INVALID_OPERATION (0x502) from Find glsl program uniform locations @ glsl_shader.c / 5681
err:d3d_shader:set_glsl_shader_program >>>>>>>>>>>>>>>>> GL_INVALID_OPERATION (0x502) from glUseProgramObjectARB(programId) @ glsl_shader.c / 5696
err:d3d_shader:shader_glsl_select >>>>>>>>>>>>>>>>> GL_INVALID_OPERATION (0x502) from glUseProgramObjectARB @ glsl_shader.c / 5858
err:d3d_shader:shader_glsl_load_constants >>>>>>>>>>>>>>>>> GL_INVALID_OPERATION (0x502) from fixed function uniforms @ glsl_shader.c / 863

Thanks,

What if a person doest know what composting means, or how to change video drivers, or what other .......... How is average joe going to fix this.

--- On Wed, 4/10/13, Geoff Goas <git
On the laptop with Intel GPU, netflix-desktop works fine (after
reverting the advapi32 GetNamedSecurityInfoW <email address hidden>> wrote:

From: Geoff Goas <email address hidden>
Subject: [Bug 1104373] Re: Netflix Desktop plays audio but does not display video on certain systems, even with compositing enabled.
To: <email address hidden>
Date: Wednesday, April 10, 2013, 6:01 PM

I'm using wine 1.5.27 with the netflix patches on 2 machines, a Dell
laptop with Intel GPU and a Dell desktop with Nvidia NV37GL GPU using
the proprietary nvidia-173xx driver (which is no longer maintained
afaik)

On the laptop with Intel GPU, netflix-desktop works fine (after
reverting the advapi32 GetNamedSecurityInfoW implementation). On the
desktop with Nvidia GPU, with all the same patches, I get a white screen
and I can only hear the audio.

I saw a separate suggestion about desktop effects, but I do not have
those enabled.

Thanks

--
You received this bug notification because you are subscribed to a
duplicate bug report (1150358).
https://bugs.launchpad.net/bugs/1104373

Title:
  Netflix Desktop plays audio but does not display video on certain
  systems, even with compositing enabled.

Status in Netflix Desktop:
  Triaged

Bug description:
  This bug evolved from bug 1083862. https://bugs.launchpad.net/netflix-
  desktop/+bug/1083862

  On certain systems, Netflix Desktop plays audio but does not display
  video. On some of them, this is fixed by enabling compositing, on
  others, enabling compositing doesn't seem to help.

  More specifically, on this bug reporter's specific system, running
  Netflix Desktop in a window and then moving the window around seems to
  temporarily solve the issue, though this introduces noticable lag
  which seems to correct itself after a certain amount of time.

  In a possibly related bug, after having this issue, resolving it
  temporarily with the above, and then using it for some time, Netflix
  Desktop has a tendency to suddenly lock up and become unresponsive to
  input, necessitating being killed either by Ctrl+C in the terminal it
  was started from or, if it wasn't started in a terminal, finding the
  process and killing it.

  Audio never seems to be affected.

  Debug log will be attached in a reply later as I (the bug reporter) do
  not currently have access to the system affected, someone is watching
  Hulu on it :P

  System:
  Dell Inspiron 530
  Intel Celeron 450 (2.2GHz Conroe-L)
  2GB RAM
  Intel GMA 3100 Integrated Graphics
  Linux Mint 14, fresh install

To manage notifications about this bug go to:
https://bugs.launchpad.net/netflix-desktop/+bug/1104373/+subscriptions

Cory Gugler (cory-gugler) wrote :

Just adding some info in case it will help:
The machine I had the issue on is running the proprietary nvidia-96 driver. I had been getting a white screen with audio but upgrading to 1.5.27 seems to have solved it.
I have another machine running the nvidia-current driver which I just tested as working as well.

Erich E. Hoover (ehoover) wrote :

philip, the newer versions of netflix-desktop autodetect that compositing is disabled in the X11 config and displays a warning dialog.

Geoff, it sounds like there's a problem with your graphics driver. Is there any chance there are updates for your video driver that you can install?

Erich E. Hoover (ehoover) wrote :

I've received a message that someone solved this problem by installing the 32-bit Intel DRM package:
sudo apt-get install libdrm-intel1:i386
I am not sure if that will actually fix anything, but if people would like to try it and report back then I'd appreciate it.

Erich E. Hoover (ehoover) wrote :

You'll have to excuse me, but that's the wrong package (the user didn't run Ubuntu and I had to locate the Ubuntu equivalent). Please try this package instead:
sudo apt-get install libgl1-mesa-dri:i386

Geoff Goas (gitman) wrote :

Erich, unfortunately that is the end of the line for that driver series. Its OK though, the card was given to me and I have other options that I can explore. Thanks anyways.

jay revefel (jal301) wrote :

Erich,
Thank you for keeping up with this.

I have audio but a black screen. I updated to wine 1.5.28 tonight but the same issue persists. Any suggestions?

Michael Sokolov (sokolov) wrote :

I have this problem too, with a Dell Optiplex 960, using the onboard Intel video: i910 driver. The thing is, the Netflix desktop used to work, and only started having this problem in the last few weeks - I think it was a recent update, but not the very most recent update - I think it was the update to wine-compholio 1.5.27 that broke it, although I'm not absolutely sure it wasn't an earlier one. I'd like to try downgrading, but I can't seem to find the old versions anywhere? I tried:

apt-get install wine-compholio=1.5.27~quantal

but I get an error saying it can't be found. Any help would be appreciated - I'd really like to keep linux on this machine, but it's an absolute requirement for me to play netflix :)

Spencer (spec4d) wrote :

I have this issue as well. Moving the window around does nothing for me, but replacing the fglrx driver with the open source driver fixes the issue. I'm using Ubuntu 13.04 with a Radeon HD5700 series. This was not an issue for me in 12.04

I also have an issue where netflix-desktop will only run if I launch it as root (sudo netflix-desktop), but I don't believe that is related. When I try to use the launcher I get a "It appears that you do not have extended file system attributes enabled, please enable the user_xattr option for your filesystem and try again." message. This second issue is far more likely related to me swapping my HD for an SSD.

jarl (spaiten) wrote :

The issue appered for me after Netflix page demanded a update of silverlight. I had to hit the ok button to continue, and after that there has been no video, audio is ok. I have tried to reinstall witheout success.
No errormessages, just a black screen.

 I have linux mint 14 installed on a lenovo t61

any solution in sight?

jay revefel (jal301) wrote :

Spencer,

Could you provide some info on how you replaced fglrx driver with the open source version? How do I find the open source version? Where must I download it to on my machine? Explicit detail is great - thank you!

Adam (adam-adamish) wrote :

Same issue - playback has sound but no video - just see underlying desktop wallpaper

Useful information:

lspci | grep -i vga
01:00.0 VGA compatible controller: NVIDIA Corporation NV44 [GeForce 7100 GS] (rev a1)

 grep -i nvidia /var/log/Xorg.0.log | head
[ 16.732] (II) Module glx: vendor="NVIDIA Corporation"
[ 16.732] (II) NVIDIA GLX Module 304.88 Wed Mar 27 14:46:57 PDT 2013
[ 16.732] (==) Matched nvidia as autoconfigured driver 0
[ 16.732] (II) LoadModule: "nvidia"
[ 16.732] (II) Loading /usr/lib/x86_64-linux-gnu/xorg/extra-modules/nvidia_drv.so
[ 16.733] (II) Module nvidia: vendor="NVIDIA Corporation"
[ 16.772] (II) NVIDIA dlloader X Driver 304.88 Wed Mar 27 14:28:14 PDT 2013
[ 16.772] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[ 16.772] (II) NOUVEAU driver for NVIDIA chipset families :
[ 16.798] (II) NVIDIA(0): Creating default Display subsection in Screen section

Fresh install of ubuntu 13.04 amd64, albeit minimal install with --no-install-recommends

Adam (adam-adamish) wrote :

Update. I've found I've tried nvidia-173 and nvidia-180 drivers. With 173 instead of blank screen I get netflix loading screen then silverlight crash. 180 is same as nvidia-current.

Adam (adam-adamish) wrote :

This is the log I get when the silverlight plugin crashes using the nvidia-173 drivers

Adam (adam-adamish) wrote :

I followed the instructions in this answer to get it working again... http://askubuntu.com/a/282217

JoJo (jonaspohlmann) wrote :

I removed the wine profile by type
rm -Rf ~/.wine-browser
and the programm by
sudo dpkg --purge netflix-desktop

Following to that I just reinstalled it by
sudo apt-get install netflix-desktop

and it worked :-)

(I think the Silverlight update made is crash)

Sebastian Westergren (mcahane) wrote :

Hi

Thanks for the great work!
I have been running Linux Mint 13 and netflix have always worked fine, but i just did a reinstall to Linux Mint16.
I got the problem where i got no video only audio even after enabeling composite.
I have tried a bunch of graphics drivers, but when i tried "xserver-xorg-video-nouveau" v1:1.0.9-2ubuntu1 it worked.
Just tougth this may help someone.

My graphics-card is a nvidia GTX 560ti 448cores

//Sebb

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers